Subject: Re: bug#19482: Changing to big font cause display problem

From: "Jan D." <[email-masked]>
Date: Sun, 01 Mar 2015 17:18:55 +0100

martin rudalics skrev 2015-03-01 16:14:
> Hi Jan

Hi.

> For my Gtk+ frame I currently get the following values for
> (x-frame-geometry):
>
> (frame-outer-size 762 . 729)
> (external-border-size 0 . 0)
> (title-height . 25)
> (menu-bar-external . t)
> (menu-bar-size 752 . 25)
> (tool-bar-external . t)
> (tool-bar-position . top)
> (tool-bar-size 752 . 44)
> (frame-inner-size 752 . 630)
>
> Now the sum of inner frame, tool bar, menu bar and title bar heights
> gets me 724 (630 + 44 + 25 + 25) which means there are five pixels
> missing wrt to the height of the outer frame.  These are obviously from
> the bottom of the frame (bottom_off being 5 here) while apparently the
> five pixels of the decoration at the top of the frame are not counted in
> top_off.  The 5 + 5 missing pixels on the left and right of the frame
> come from left_off and right_off, respectively.  The results for Lucid,
> Motif and without toolkit frames are similar.
>
> So I'd like to conclude that the size of my decorations are 5 everywhere
> but I cannot find the 5 pixels from the decoration at the top.  25
> pixels for the title bar sound reasonable, it appears quite as large as
> the menu bar.  Any ideas?
>

We can only calculate the difference between Emacs top and the window 
manager window top. So the 5 pixels you are looking for are part of 
title-height.  title-height should really be named "whatever the window 
manager window puts above the top of our Emacs window".  It can be title 
bar, title bar + decoration, or just about anything.  We can't know.

	Jan D.